--- old/usr/src/uts/common/fs/udfs/udf_vnops.c	Sun Jun 11 17:02:57 2017
+++ new/usr/src/uts/common/fs/udfs/udf_vnops.c	Sun Jun 11 17:02:57 2017
@@ -299,10 +299,6 @@
 
 	ud_printf("udf_read\n");
 
-#ifdef	__lock_lint
-	rw_enter(&ip->i_rwlock, RW_READER);
-#endif
-
 	ASSERT(RW_READ_HELD(&ip->i_rwlock));
 
 	if (MANDLOCK(vp, ip->i_char)) {
@@ -321,10 +317,6 @@
 	rw_exit(&ip->i_contents);
 
 end:
-#ifdef	__lock_lint
-	rw_exit(&ip->i_rwlock);
-#endif
-
 	return (error);
 }
 
@@ -348,10 +340,6 @@
 
 	ud_printf("udf_write\n");
 
-#ifdef	__lock_lint
-	rw_enter(&ip->i_rwlock, RW_WRITER);
-#endif
-
 	ASSERT(RW_WRITE_HELD(&ip->i_rwlock));
 
 	if (MANDLOCK(vp, ip->i_char)) {
@@ -390,10 +378,6 @@
 	rw_exit(&ip->i_contents);
 
 end:
-#ifdef	__lock_lint
-	rw_exit(&ip->i_rwlock);
-#endif
-
 	return (error);
 }
 
@@ -745,13 +729,9 @@
 		ITIMES(ip);
 		ip = xip;
 	}
-#ifdef	__lock_lint
-	rw_enter(&ip->i_contents, RW_WRITER);
-#else
 	if (ip != NULL) {
 		rw_enter(&ip->i_contents, RW_WRITER);
 	}
-#endif
 
 	/*
 	 * If the file already exists and this is a non-exclusive create,
@@ -800,13 +780,9 @@
 		*vpp = ITOV(ip);
 		ITIMES(ip);
 	}
-#ifdef	__lock_lint
-	rw_exit(&ip->i_contents);
-#else
 	if (ip != NULL) {
 		rw_exit(&ip->i_contents);
 	}
-#endif
 	if (error) {
 		goto out;
 	}
@@ -1570,9 +1546,6 @@
 	} else {
 		rw_enter(&ip->i_rwlock, RW_READER);
 	}
-#ifdef	__lock_lint
-	rw_exit(&ip->i_rwlock);
-#endif
 	return (write_lock);
 }
 
@@ -1584,10 +1557,6 @@
 
 	ud_printf("udf_rwunlock\n");
 
-#ifdef	__lock_lint
-	rw_enter(&ip->i_rwlock, RW_WRITER);
-#endif
-
 	rw_exit(&ip->i_rwlock);
 
 }
@@ -1694,13 +1663,9 @@
 	rwtype = RW_READER;
 	dolock = (rw_owner(&ip->i_contents) != curthread);
 retrylock:
-#ifdef	__lock_lint
-	rw_enter(&ip->i_contents, rwtype);
-#else
 	if (dolock) {
 		rw_enter(&ip->i_contents, rwtype);
 	}
-#endif
 
 	/*
 	 * We may be getting called as a side effect of a bmap using
@@ -1713,13 +1678,9 @@
 	 */
 	beyond_eof = uoff + len > ip->i_size + PAGEOFFSET;
 	if (beyond_eof && seg != segkmap) {
-#ifdef	__lock_lint
-		rw_exit(&ip->i_contents);
-#else
 		if (dolock) {
 			rw_exit(&ip->i_contents);
 		}
-#endif
 		return (EFAULT);
 	}
 
@@ -1783,15 +1744,9 @@
 	/*
 	 * Can be a reader from now on.
 	 */
-#ifdef	__lock_lint
-	if (rwtype == RW_WRITER) {
-		rw_downgrade(&ip->i_contents);
-	}
-#else
 	if (dolock && rwtype == RW_WRITER) {
 		rw_downgrade(&ip->i_contents);
 	}
-#endif
 
 	/*
 	 * We remove PROT_WRITE in cases when the file has UDF holes
@@ -1911,13 +1866,9 @@
 	}
 
 update_inode:
-#ifdef	__lock_lint
-	rw_exit(&ip->i_contents);
-#else
 	if (dolock) {
 		rw_exit(&ip->i_contents);
 	}
-#endif
 
 	/*
 	 * If the inode is not already marked for IACC (in rwip() for read)
@@ -1957,9 +1908,6 @@
 	ud_printf("udf_putpage\n");
 
 	ip = VTOI(vp);
-#ifdef	__lock_lint
-	rw_enter(&ip->i_contents, RW_WRITER);
-#endif
 
 	if (vp->v_count == 0) {
 		cmn_err(CE_WARN, "ud_putpage : bad v_count");
@@ -2023,9 +1971,6 @@
 	error = ud_putpages(vp, off, len, flags, cr);
 
 out:
-#ifdef	__lock_lint
-	rw_exit(&ip->i_contents);
-#endif
 	return (error);
 }
 
@@ -2187,10 +2132,7 @@
 }
 
 uint32_t ud_pageio_reads = 0, ud_pageio_writes = 0;
-#ifndef	__lint
-_NOTE(SCHEME_PROTECTS_DATA("safe sharing", ud_pageio_reads))
-_NOTE(SCHEME_PROTECTS_DATA("safe sharing", ud_pageio_writes))
-#endif
+
 /*
  * Assumption is that there will not be a pageio request
  * to a enbedded file
@@ -2229,13 +2171,9 @@
 		return (EIO);
 	}
 
-#ifdef	__lock_lint
-	rw_enter(&ip->i_contents, RW_READER);
-#else
 	if (dolock) {
 		rw_enter(&ip->i_contents, RW_READER);
 	}
-#endif
 
 	/*
 	 * Break the io request into chunks, one for each contiguous
@@ -2339,13 +2277,10 @@
 		}
 	}
 
-#ifdef	__lock_lint
-	rw_exit(&ip->i_contents);
-#else
 	if (dolock) {
 		rw_exit(&ip->i_contents);
 	}
-#endif
+
 	return (error);
 }
 
@@ -2682,23 +2617,15 @@
 		ip->i_delayoff = ip->i_delaylen = 0;
 		mutex_exit(&ip->i_tlock);
 	}
-#ifdef	__lock_lint
-	rw_enter(&ip->i_contents, RW_READER);
-#else
 	dolock = (rw_owner(&ip->i_contents) != curthread);
 	if (dolock) {
 		rw_enter(&ip->i_contents, RW_READER);
 	}
-#endif
 
 	if (!vn_has_cached_data(vp)) {
-#ifdef	__lock_lint
-		rw_exit(&ip->i_contents);
-#else
 		if (dolock) {
 			rw_exit(&ip->i_contents);
 		}
-#endif
 		return (0);
 	}
 
@@ -2763,13 +2690,9 @@
 		ip->i_flag &= ~IMODTIME;
 		mutex_exit(&ip->i_tlock);
 	}
-#ifdef	__lock_lint
-	rw_exit(&ip->i_contents);
-#else
 	if (dolock) {
 		rw_exit(&ip->i_contents);
 	}
-#endif
 	return (err);
 }
 
@@ -3055,11 +2978,9 @@
 		    ip->i_nextr == (off & PAGEMASK) &&
 		    off > ud_smallfile;
 
-#ifndef	__lock_lint
 		if (rwtype == RW_READER) {
 			rw_exit(&ip->i_contents);
 		}
-#endif
 
 		base = segmap_getmapflt(segkmap, vp, (off + mapon),
 		    (uint32_t)n, 1, S_READ);
@@ -3091,11 +3012,9 @@
 			(void) segmap_release(segkmap, base, flags);
 		}
 
-#ifndef __lock_lint
 		if (rwtype == RW_READER) {
 			rw_enter(&ip->i_contents, rwtype);
 		}
-#endif
 	} while (error == 0 && uio->uio_resid > 0 && n != 0);
 out:
 	/*
